Subject: Re: MI - Spanish (2015)
From: Jennifer Hahn <[email-masked]>
To: Michael B <[email-masked]>
Date: Fri, 7 Nov 2014 09:43:06 -0500

Hi Mike;  Wow I think I have them all for you.  I will be sending them One
at a time as I review them again.  I will on the last email detail the time
it took for each and the total hours.  I thins email I will attach the LARA
Mich. Workers Comp Rights & Responsibility...it is 2 pages long on my
attachemet since it is currently in 12 font and I think origianl is like 6.

On Fri, Oct 31, 2014 at 9:47 AM, Michael B <[email-masked]> wrote:

>  Hello Jennifer.
> Attached are the 2 documents that will need translation.  Let me know if
> you have questions.
> Thank you,
> Michael B
> LLPS
>